import { Strategy, TccErrorListener } from "../buildInFuncNamespace";
import { VStrategy } from "../enum";
interface IRiskArgs {
    value?: any;
    count?: number;
    alert_message?: string;
    type?: VStrategy;
    contracts?: number;
}
declare class Risk {
    private _strategy;
    private _errorListener;
    constructor(strategy: Strategy, errorListener: TccErrorListener);
    allow_entry_in({ value }: IRiskArgs, posStr: string): void;
    max_cons_loss_days({ count }: IRiskArgs, posStr: string): void;
    max_drawdown({ value, type }: IRiskArgs, posStr: string): void;
    max_intraday_filled_orders({ count }: IRiskArgs, posStr: string): void;
    max_intraday_loss({ value, type }: IRiskArgs, posStr: string): void;
    max_position_size({ contracts }: IRiskArgs, posStr: string): void;
    private _paramVerfiy;
}
export default Risk;
